from pydantic_settings import BaseSettings
from pathlib import Path


class Settings(BaseSettings):
    PROJECT_NAME: str = "Task Manager API"
    PROJECT_DESCRIPTION: str = "A FastAPI Task Manager API with SQLite backend"
    VERSION: str = "0.1.0"
    
    # Database settings
    DB_DIR: Path = Path("/app") / "storage" / "db"
    SQLALCHEMY_DATABASE_URL: str = f"sqlite:///{DB_DIR}/db.sqlite"
    
    class Config:
        env_file = ".env"
        env_file_encoding = "utf-8"


settings = Settings()